<?xml version="1.0" encoding="utf-8"?>
<tryton>
    <data>
        <record model="ir.ui.view" id="get_federation_data_start_form_view">
            <field name="model">gnuhealth.federation.get_federation_data.start</field>
            <field name="type">form</field>            
            <field name="name">get_federation_data_start_form</field>
        </record>
        <!-- Patient data retrieved from Federator   -->
        <record model="ir.ui.view" id="get_federation_data_patient_list_found_form_view">
            <field name="model">gnuhealth.federation.get_federation_data.patient_list_found</field>
            <field name="type">form</field>            
            <field name="name">get_federation_data_patient_list_found_form</field>
        </record>
        
        <record model="ir.ui.view" id="get_federation_data_patient_found_tree_view">
            <field name="model">gnuhealth.federation.get_federation_data.patient_found</field>
            <field name="type">tree</field>
            <field name="name">get_federation_data_patient_found_tree</field>
        </record>
        
        <record model="ir.ui.view" id="get_federation_data_patient_found_form_view">
            <field name="model">gnuhealth.federation.get_federation_data.patient_found</field>
            <field name="type">form</field>
            <field name="name">get_federation_data_patient_found_form</field>
        </record>
        
        <!-- Pols retrieved from Federator -->
        <record model="ir.ui.view" id="get_federation_data_pols_tree_view">
            <field name="model">gnuhealth.federation.get_federation_data.pols</field>
            <field name="type">tree</field>
            <field name="name">get_federation_data_pols_tree</field>
        </record>
        
        <record model="ir.ui.view" id="get_federation_data_pols_form_view">
            <field name="model">gnuhealth.federation.get_federation_data.pols</field>
            <field name="type">form</field>
            <field name="name">get_federation_data_pols_form</field>
        </record>
        
        <record model="ir.ui.view" id="get_federation_data_pols_list_form_view">
            <field name="model">gnuhealth.federation.get_federation_data.pols_list</field>
            <field name="type">form</field>
            <field name="name">get_federation_data_pols_list_form</field>
        </record>


        <!-- Wizard   -->
        <record model="ir.action.wizard" id="act_get_federation_data_wizard">
                <field name="name">Get Federation Data</field>
                <field name="wiz_name">gnuhealth.federation.get_federation_data.wizard</field>
        </record>
        
    <!-- <record model="ir.action.keyword"
                    id="act_get_federation_data_wizard">
                <field name="keyword">form_action</field>
                <field name="model">gnuhealth.patient,-1</field>
                <field name="action" ref="act_prescription_form1"/>
        </record>-->
        
        <menuitem name="Get Federation Data" id="gnuhealth_get_federation_data"
                action="act_get_federation_data_wizard"
                parent="health.gnuhealth_patients_menu" sequence="20"/>
        
    </data>
</tryton>
